"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const _hashClear = require("./_hashClear.js");
const _hashDelete = require("./_hashDelete.js");
const _hashGet = require("./_hashGet.js");
const _hashHas = require("./_hashHas.js");
const _hashSet = require("./_hashSet.js");
var hashClear = _hashClear._hashClear, hashDelete = _hashDelete._hashDelete, hashGet = _hashGet._hashGet, hashHas = _hashHas._hashHas, hashSet = _hashSet._hashSet;
function Hash(entries) {
  var index = -1, length = entries == null ? 0 : entries.length;
  this.clear();
  while (++index < length) {
    var entry = entries[index];
    this.set(entry[0], entry[1]);
  }
}
Hash.prototype.clear = hashClear;
Hash.prototype["delete"] = hashDelete;
Hash.prototype.get = hashGet;
Hash.prototype.has = hashHas;
Hash.prototype.set = hashSet;
var _Hash = Hash;
exports._Hash = _Hash;
